<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/5_Mission/GUI/ScriptedWindows/MissionLoader.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/d5c/_mission_loader_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">MissionLoader.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d8/d5c/_mission_loader_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>MissionLoader <span class="keyword">extends</span> <a class="code hl_class" href="../../d9/d62/class_u_i_scripted_window.html">UIScriptedWindow</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#a18d1ed844074a98afa0b93af6545ac60">    3</a></span>    <span class="keywordtype">string</span>              <a class="code hl_variable" href="../../d9/d62/class_u_i_scripted_window.html#a18d1ed844074a98afa0b93af6545ac60">m_PathToMissions</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#a44777e4891c11eb0562f06579f0fe3f1">    4</a></span>    TextListboxWidget   <a class="code hl_variable" href="../../d9/d62/class_u_i_scripted_window.html#a44777e4891c11eb0562f06579f0fe3f1">m_WgtLstMsnList</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#aa88d6a9a6d9291bf9a48dfa136951b91">    5</a></span>    ButtonWidget        <a class="code hl_variable" href="../../d9/d62/class_u_i_scripted_window.html#aa88d6a9a6d9291bf9a48dfa136951b91">m_WgtBtnMsnPlay</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#af7a2a37aba711adfe1e324d9b4c2f7d9">    6</a></span>    ButtonWidget        <a class="code hl_variable" href="../../d9/d62/class_u_i_scripted_window.html#af7a2a37aba711adfe1e324d9b4c2f7d9">m_WgtBtnMsnClose</a>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#af680bf0e152af7175733a7f27e5ab1a1">    8</a></span>    ref <a class="code hl_class" href="../../d2/d41/classarray.html">TStringArray</a>        <a class="code hl_variable" href="../../d9/d62/class_u_i_scripted_window.html#af680bf0e152af7175733a7f27e5ab1a1">m_ListMissionsNames</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#a5c8d3ea7377a36f5203b7790e70699f7">   10</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#a5c8d3ea7377a36f5203b7790e70699f7">MissionLoader</a>( <span class="keywordtype">int</span> <span class="keywordtype">id</span> )</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    {</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        <a class="code hl_variable" href="../../db/de7/_bios_lobby_service_8c.html#a03c1365c67d85ae52a94894cb29844ea">m_Id</a> = id;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    }</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#aa492ba6db54f6579baf663f5a14e315a">   15</a></span>    <span class="keyword">override</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#aa492ba6db54f6579baf663f5a14e315a">Init</a>()</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        m_ListMissionsNames = <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#abe04d5c6967a7398f7536382f5306ac8">GetMissionList</a>();</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <a class="code hl_variable" href="../../d8/d26/_hud_debug_8c.html#affd50c5c1389d0d7aa3e7e901303bedc">m_WgtRoot</a>           = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a9acfc7077cec18228fcafc8649054e66">GetWorkspace</a>().<a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga28f2c34f1fa5af85b32e1a11ef6f6024">CreateWidgets</a>(<span class="stringliteral">&quot;gui/layouts/day_z_mission_loader.layout&quot;</span>, <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetUIManager().GetMenu().GetLayoutRoot() );   </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        m_WgtLstMsnList = TextListboxWidget.Cast( <a class="code hl_variable" href="../../d8/d26/_hud_debug_8c.html#affd50c5c1389d0d7aa3e7e901303bedc">m_WgtRoot</a>.FindAnyWidget(<span class="stringliteral">&quot;wgt_lst_missions&quot;</span>) );</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        m_WgtBtnMsnPlay = ButtonWidget.Cast( <a class="code hl_variable" href="../../d8/d26/_hud_debug_8c.html#affd50c5c1389d0d7aa3e7e901303bedc">m_WgtRoot</a>.FindAnyWidget(<span class="stringliteral">&quot;wgt_btn_mission_play&quot;</span>) );</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        m_WgtBtnMsnClose = ButtonWidget.Cast( <a class="code hl_variable" href="../../d8/d26/_hud_debug_8c.html#affd50c5c1389d0d7aa3e7e901303bedc">m_WgtRoot</a>.FindAnyWidget(<span class="stringliteral">&quot;wgt_btn_mission_close&quot;</span>) );</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> i = 0; i &lt; m_ListMissionsNames.Count(); ++i )</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>            <span class="keywordtype">string</span> mission_name = m_ListMissionsNames.Get(i);</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>            m_WgtLstMsnList.AddItem(mission_name, NULL, 0);</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d9/d62/class_u_i_scripted_window.html#ade2b2c6cc464945f66e84b58cce42bac">m_WgtRoot</a>;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#abe04d5c6967a7398f7536382f5306ac8">   34</a></span>    <span class="keyword">private</span> <a class="code hl_class" href="../../d2/d41/classarray.html">TStringArray</a> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#abe04d5c6967a7398f7536382f5306ac8">GetMissionList</a>()</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    {</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="keywordtype">string</span>  file_name;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <span class="keywordtype">int</span>     file_attr;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <span class="keywordtype">int</span>     flags;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <a class="code hl_class" href="../../d2/d41/classarray.html">TStringArray</a> list = <span class="keyword">new</span> <a class="code hl_typedef" href="../../d5/d78/group___enforce.html#ga28845e68ed8329715e29aded7542ca15">TStringArray</a>;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        m_PathToMissions = <span class="stringliteral">&quot;$saves:\\missions&quot;</span>;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <span class="keywordtype">string</span> path_find_pattern = m_PathToMissions+<span class="stringliteral">&quot;\\*&quot;</span>; <span class="comment">//*/</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <a class="code hl_typedef" href="../../d5/df6/group___file.html#gaaad5e57bdb7ceaa9258923e8d5b3e1a8">FindFileHandle</a> file_handler = <a class="code hl_function" href="../../d5/df6/group___file.html#ga597c0e25e59fbf30bb1b6ba3033881c3">FindFile</a>(path_find_pattern, file_name, file_attr, flags);</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <span class="keywordtype">bool</span> found = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <span class="keywordflow">while</span> ( found )</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        {               </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>            <span class="keywordflow">if</span> ( file_attr &amp; <a class="code hl_enumeration" href="../../d5/df6/group___file.html#gab6d091fc42473756488e3ba6fda6c4ae">FileAttr</a>.DIRECTORY )</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>            {</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>                list.Insert(file_name);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>            }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            found = <a class="code hl_function" href="../../d5/df6/group___file.html#ga6b229504b64c75b270ad1d6b49d50306">FindNextFile</a>(file_handler, file_name, file_attr);;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        }</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        <span class="keywordflow">return</span> list;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="../../d9/d62/class_u_i_scripted_window.html#a7bb67886118086f8ecaf2de62808b7a5">   60</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#a7bb67886118086f8ecaf2de62808b7a5">OnClick</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <span class="keywordtype">int</span> button)</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    {</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <span class="keywordflow">if</span> ( w == m_WgtBtnMsnPlay )</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        {</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>            <span class="keywordtype">int</span> row_index = m_WgtLstMsnList.GetSelectedRow();</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>            </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>            <span class="keywordtype">string</span> mission_name = m_ListMissionsNames.Get(row_index);</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>            </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>            <span class="keywordtype">string</span> mission_path = m_PathToMissions+<span class="stringliteral">&quot;\\&quot;</span>+mission_name;</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>            </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>            <a class="code hl_function" href="../../da/d1e/_log_templates_8c.html#aa750d1437a5a1db7a78e3d4ba292df8c">Log</a>(mission_path);</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>            </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>            <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a28848738826445577e2cb73b9f07f9f9">PlayMission</a>(mission_path);</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>            </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        }</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        <span class="keywordflow">if</span> ( w == m_WgtBtnMsnClose )</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        {</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>            <a class="code hl_function" href="../../d9/d62/class_u_i_scripted_window.html#a226e578ba4bc806923767ae4e54ff3e0">CloseWindow</a>();</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>            </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        }</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    }   </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>}</div>
<div class="ttc" id="a_bios_lobby_service_8c_html_a03c1365c67d85ae52a94894cb29844ea"><div class="ttname"><a href="../../db/de7/_bios_lobby_service_8c.html#a03c1365c67d85ae52a94894cb29844ea">m_Id</a></div><div class="ttdeci">class GetServerModListResult m_Id</div><div class="ttdoc">GetServersResultRow the output structure of the GetServers operation that represents one game server.</div></div>
<div class="ttc" id="a_hud_debug_8c_html_affd50c5c1389d0d7aa3e7e901303bedc"><div class="ttname"><a href="../../d8/d26/_hud_debug_8c.html#affd50c5c1389d0d7aa3e7e901303bedc">m_WgtRoot</a></div><div class="ttdeci">Widget m_WgtRoot</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d26/_hud_debug_8c_source.html#l00092">HudDebug.c:92</a></div></div>
<div class="ttc" id="a_icon_8c_html_a2970c38de5fbde060cc7a0ed546e674f"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a></div><div class="ttdeci">Icon x</div></div>
<div class="ttc" id="a_icon_8c_html_acd41c12fe81446bff0920670641367de"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a></div><div class="ttdeci">Icon y</div></div>
<div class="ttc" id="a_log_templates_8c_html_aa750d1437a5a1db7a78e3d4ba292df8c"><div class="ttname"><a href="../../da/d1e/_log_templates_8c.html#aa750d1437a5a1db7a78e3d4ba292df8c">Log</a></div><div class="ttdeci">class LogTemplates Log(string message, LogTemplateID template_id=0)</div><div class="ttdoc">Creates debug log (optional) from LogTemplate which are registred.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d1e/_log_templates_8c_source.html#l00002">LogTemplates.c:72</a></div></div>
<div class="ttc" id="aclass_c_game_html_a28848738826445577e2cb73b9f07f9f9"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a28848738826445577e2cb73b9f07f9f9">CGame::PlayMission</a></div><div class="ttdeci">proto native void PlayMission(string path)</div><div class="ttdoc">Starts mission (equivalent for SQF playMission). You MUST use double slash \.</div></div>
<div class="ttc" id="aclass_c_game_html_a9acfc7077cec18228fcafc8649054e66"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a9acfc7077cec18228fcafc8649054e66">CGame::GetWorkspace</a></div><div class="ttdeci">proto native WorkspaceWidget GetWorkspace()</div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html">UIScriptedWindow</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00001">UIScriptedWindow.c:2</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_a18d1ed844074a98afa0b93af6545ac60"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#a18d1ed844074a98afa0b93af6545ac60">UIScriptedWindow::m_PathToMissions</a></div><div class="ttdeci">string m_PathToMissions</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d5c/_mission_loader_8c_source.html#l00003">MissionLoader.c:3</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_a226e578ba4bc806923767ae4e54ff3e0"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#a226e578ba4bc806923767ae4e54ff3e0">UIScriptedWindow::CloseWindow</a></div><div class="ttdeci">void CloseWindow()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00074">UIScriptedWindow.c:74</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_a44777e4891c11eb0562f06579f0fe3f1"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#a44777e4891c11eb0562f06579f0fe3f1">UIScriptedWindow::m_WgtLstMsnList</a></div><div class="ttdeci">TextListboxWidget m_WgtLstMsnList</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d5c/_mission_loader_8c_source.html#l00004">MissionLoader.c:4</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_a5c8d3ea7377a36f5203b7790e70699f7"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#a5c8d3ea7377a36f5203b7790e70699f7">UIScriptedWindow::MissionLoader</a></div><div class="ttdeci">void MissionLoader(int id)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d5c/_mission_loader_8c_source.html#l00010">MissionLoader.c:10</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_a7bb67886118086f8ecaf2de62808b7a5"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#a7bb67886118086f8ecaf2de62808b7a5">UIScriptedWindow::OnClick</a></div><div class="ttdeci">override bool OnClick(Widget w, int x, int y, int button)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d5c/_mission_loader_8c_source.html#l00060">MissionLoader.c:60</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_aa492ba6db54f6579baf663f5a14e315a"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#aa492ba6db54f6579baf663f5a14e315a">UIScriptedWindow::Init</a></div><div class="ttdeci">override Widget Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d5c/_mission_loader_8c_source.html#l00015">MissionLoader.c:15</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_aa88d6a9a6d9291bf9a48dfa136951b91"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#aa88d6a9a6d9291bf9a48dfa136951b91">UIScriptedWindow::m_WgtBtnMsnPlay</a></div><div class="ttdeci">ButtonWidget m_WgtBtnMsnPlay</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d5c/_mission_loader_8c_source.html#l00005">MissionLoader.c:5</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_abe04d5c6967a7398f7536382f5306ac8"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#abe04d5c6967a7398f7536382f5306ac8">UIScriptedWindow::GetMissionList</a></div><div class="ttdeci">private TStringArray GetMissionList()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d5c/_mission_loader_8c_source.html#l00034">MissionLoader.c:34</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_ade2b2c6cc464945f66e84b58cce42bac"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#ade2b2c6cc464945f66e84b58cce42bac">UIScriptedWindow::m_WgtRoot</a></div><div class="ttdeci">Widget m_WgtRoot</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d12/_u_i_scripted_window_8c_source.html#l00003">UIScriptedWindow.c:3</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_af680bf0e152af7175733a7f27e5ab1a1"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#af680bf0e152af7175733a7f27e5ab1a1">UIScriptedWindow::m_ListMissionsNames</a></div><div class="ttdeci">ref TStringArray m_ListMissionsNames</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d5c/_mission_loader_8c_source.html#l00008">MissionLoader.c:8</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_window_html_af7a2a37aba711adfe1e324d9b4c2f7d9"><div class="ttname"><a href="../../d9/d62/class_u_i_scripted_window.html#af7a2a37aba711adfe1e324d9b4c2f7d9">UIScriptedWindow::m_WgtBtnMsnClose</a></div><div class="ttdeci">ButtonWidget m_WgtBtnMsnClose</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d5c/_mission_loader_8c_source.html#l00006">MissionLoader.c:6</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array&lt; string &gt;</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___enforce_html_ga28845e68ed8329715e29aded7542ca15"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga28845e68ed8329715e29aded7542ca15">TStringArray</a></div><div class="ttdeci">array&lt; string &gt; TStringArray</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00685">EnScript.c:685</a></div></div>
<div class="ttc" id="agroup___file_html_ga597c0e25e59fbf30bb1b6ba3033881c3"><div class="ttname"><a href="../../d5/df6/group___file.html#ga597c0e25e59fbf30bb1b6ba3033881c3">FindFile</a></div><div class="ttdeci">enum FindFileFlags FindFile(string pattern, out string fileName, out FileAttr fileAttributes, FindFileFlags flags)</div></div>
<div class="ttc" id="agroup___file_html_ga6b229504b64c75b270ad1d6b49d50306"><div class="ttname"><a href="../../d5/df6/group___file.html#ga6b229504b64c75b270ad1d6b49d50306">FindNextFile</a></div><div class="ttdeci">proto bool FindNextFile(FindFileHandle handle, out string fileName, out FileAttr fileAttributes)</div></div>
<div class="ttc" id="agroup___file_html_gaaad5e57bdb7ceaa9258923e8d5b3e1a8"><div class="ttname"><a href="../../d5/df6/group___file.html#gaaad5e57bdb7ceaa9258923e8d5b3e1a8">FindFileHandle</a></div><div class="ttdeci">int[] FindFileHandle</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de4/_en_system_8c_source.html#l00503">EnSystem.c:503</a></div></div>
<div class="ttc" id="agroup___file_html_gab6d091fc42473756488e3ba6fda6c4ae"><div class="ttname"><a href="../../d5/df6/group___file.html#gab6d091fc42473756488e3ba6fda6c4ae">FileAttr</a></div><div class="ttdeci">FileAttr</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de4/_en_system_8c_source.html#l00505">EnSystem.c:506</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_dd/d6a/class_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00175">EnWidgets.c:176</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ga28f2c34f1fa5af85b32e1a11ef6f6024"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ga28f2c34f1fa5af85b32e1a11ef6f6024">WorkspaceWidget::CreateWidgets</a></div><div class="ttdeci">proto native external Widget CreateWidgets(string layout, Widget parentWidget=NULL, bool immedUpdate=true)</div><div class="ttdoc">Create widgets from *.layout file.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_6abc2eacac2e7d76bc186cd4309aa0e0.html">5_Mission</a></li><li class="navelem"><a class="el" href="../../dir_2356304830c38acce59b30a90a6c3ad1.html">GUI</a></li><li class="navelem"><a class="el" href="../../dir_6d45e5ec3163c6835ae8243c6abdbce7.html">ScriptedWindows</a></li><li class="navelem"><a class="el" href="../../d8/d5c/_mission_loader_8c.html">MissionLoader.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
